return {
  'rebelot/kanagawa.nvim',
  config = function()
    local kanagawa = require('kanagawa')

    local dragon = {
      ui = {
        bg        = '#080808',
        bg_m3     = '#262626',
        bg_gutter = '#121212',
        -- bg_search = '#404000',
        bg_visual = '#202020',
      },
    }

    kanagawa.setup({
      commentStyle = { italic = false },
      keywordStyle = { italic = false },
      colors = { theme = { dragon = dragon } },
    })
    kanagawa.load('dragon')

    -- Override highlight groups
    vim.cmd.highlight('WinSeparator', 'guifg=' .. dragon.ui.bg_m3, 'guibg=' .. dragon.ui.bg_m3)
    vim.cmd.highlight('MsgSeparator', 'guifg=' .. dragon.ui.bg_m3, 'guibg=' .. dragon.ui.bg_m3)
    vim.cmd.highlight('link zshTodo Comment')
  end
}
